Resolve Thread
curl --request POST \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "inbox_thread_resolution",
"thread_id": "thr_01JABCDEF",
"resolved_count": 1,
"thread": {
"id": "thr_01JABCDEF",
"object": "inbox_thread",
"channel": "x",
"destination_id": "dest_01JABCDEF",
"destination_name": "<string>",
"post_id": "send_01JABCDEF",
"provider_post_id": "<string>",
"url": "<string>",
"published_at": "2026-08-09T12:00:00.000Z",
"excerpt": "<string>",
"media_kind": "text",
"thumbnail_url": "<string>",
"comment_count": 1,
"replied_count": 1,
"unanswered_count": 1,
"resolved_count": 1,
"last_comment_at": "2026-08-09T12:00:00.000Z",
"capability": "available",
"post_part_ids": [
"cmt_01JABCDEF"
],
"conversations": [
{
"id": "cmt_01JABCDEF",
"state": "waiting",
"comment_ids": [
"cmt_01JABCDEF"
],
"waiting_count": 1,
"latest_waiting_id": "cmt_01JABCDEF",
"last_activity_at": "2026-08-09T12:00:00.000Z"
}
],
"comments": [
{
"id": "cmt_01JABCDEF",
"object": "inbox_comment",
"thread_id": "thr_01JABCDEF",
"parent_id": "cmt_01JABCDEF",
"channel": "x",
"destination_id": "dest_01JABCDEF",
"post_id": "send_01JABCDEF",
"post_excerpt": "<string>",
"provider_comment_id": "<string>",
"url": "<string>",
"author": {
"display_name": "<string>",
"handle": "<string>",
"avatar_url": "<string>"
},
"is_own": true,
"body": "<string>",
"created_at": "2026-08-09T12:00:00.000Z",
"edited_at": "2026-08-09T12:00:00.000Z",
"state": "unanswered",
"replied_at": "2026-08-09T12:00:00.000Z",
"resolved_at": "2026-08-09T12:00:00.000Z",
"replies": [
{
"id": "rpl_01JABCDEF",
"object": "inbox_reply",
"comment_id": "cmt_01JABCDEF",
"state": "queued",
"body": "<string>",
"created_at": "2026-08-09T12:00:00.000Z",
"sent_at": "2026-08-09T12:00:00.000Z",
"url": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
}
}
]
}
]
}
}Inbox
Resolve Thread
Resolve every unanswered comment in one thread. This operation does not call the provider. Send an idempotency key.
POST
/
workspaces
/
{workspace_id}
/
inbox
/
threads
/
{thread}
/
resolve
Resolve Thread
curl --request POST \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openpmm.com/v1/workspaces/{workspace_id}/inbox/threads/{thread}/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "inbox_thread_resolution",
"thread_id": "thr_01JABCDEF",
"resolved_count": 1,
"thread": {
"id": "thr_01JABCDEF",
"object": "inbox_thread",
"channel": "x",
"destination_id": "dest_01JABCDEF",
"destination_name": "<string>",
"post_id": "send_01JABCDEF",
"provider_post_id": "<string>",
"url": "<string>",
"published_at": "2026-08-09T12:00:00.000Z",
"excerpt": "<string>",
"media_kind": "text",
"thumbnail_url": "<string>",
"comment_count": 1,
"replied_count": 1,
"unanswered_count": 1,
"resolved_count": 1,
"last_comment_at": "2026-08-09T12:00:00.000Z",
"capability": "available",
"post_part_ids": [
"cmt_01JABCDEF"
],
"conversations": [
{
"id": "cmt_01JABCDEF",
"state": "waiting",
"comment_ids": [
"cmt_01JABCDEF"
],
"waiting_count": 1,
"latest_waiting_id": "cmt_01JABCDEF",
"last_activity_at": "2026-08-09T12:00:00.000Z"
}
],
"comments": [
{
"id": "cmt_01JABCDEF",
"object": "inbox_comment",
"thread_id": "thr_01JABCDEF",
"parent_id": "cmt_01JABCDEF",
"channel": "x",
"destination_id": "dest_01JABCDEF",
"post_id": "send_01JABCDEF",
"post_excerpt": "<string>",
"provider_comment_id": "<string>",
"url": "<string>",
"author": {
"display_name": "<string>",
"handle": "<string>",
"avatar_url": "<string>"
},
"is_own": true,
"body": "<string>",
"created_at": "2026-08-09T12:00:00.000Z",
"edited_at": "2026-08-09T12:00:00.000Z",
"state": "unanswered",
"replied_at": "2026-08-09T12:00:00.000Z",
"resolved_at": "2026-08-09T12:00:00.000Z",
"replies": [
{
"id": "rpl_01JABCDEF",
"object": "inbox_reply",
"comment_id": "cmt_01JABCDEF",
"state": "queued",
"body": "<string>",
"created_at": "2026-08-09T12:00:00.000Z",
"sent_at": "2026-08-09T12:00:00.000Z",
"url": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
}
}
]
}
]
}
}Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
Maximum string length:
128A unique key for this operation. Use the same key when you retry the same request. Different input with the same key returns 409.
Required string length:
1 - 200Path Parameters
Unique workspace ID.
Example:
"ws_01JABCDEF"
Unique inbox thread ID.
Example:
"thr_01JABCDEF"
